pcl::octree::OctreeContainerPointIndex Class Reference

Octree container class that does store a single point index. More...

`#include <pcl/octree/octree_container.h>`

Inheritance diagram for pcl::octree::OctreeContainerPointIndex:

## Public Member Functions

| OctreeContainerPointIndex ()
| Empty constructor. More...
| OctreeContainerPointIndex (const OctreeContainerPointIndex &source)
| Empty constructor. More...
virtual | ~OctreeContainerPointIndex ()
| Empty deconstructor. More...
virtual OctreeContainerPointIndex * | deepCopy () const
| Octree deep copy method. More...
virtual bool | operator== (const OctreeContainerBase &other) const
| Equal comparison operator. More...
void | addPointIndex (int data_arg)
| Add point index to container memory. More...
int | getPointIndex () const
| Retrieve point index from container. More...
void | getPointIndices (std::vector< int > &data_vector_arg) const
| Retrieve point indices from container. More...
size_t | getSize () const
| Get size of container (number of DataT objects) More...
virtual void | reset ()
| Reset leaf node memory to zero. More...
Public Member Functions inherited from pcl::octree::OctreeContainerBase
| OctreeContainerBase ()
| Empty constructor. More...
| OctreeContainerBase (const OctreeContainerBase &)
| Empty constructor. More...
virtual | ~OctreeContainerBase ()
| Empty deconstructor. More...
bool | operator!= (const OctreeContainerBase &other) const
| Inequal comparison operator. More...
void | addPointIndex (const int &)
| Empty addPointIndex implementation. More...
void | getPointIndex (int &) const
| Empty getPointIndex implementation as this leaf node does not store any point indices. More...
void | getPointIndices (std::vector< int > &) const
| Empty getPointIndices implementation as this leaf node does not store any data. More...

## Protected Attributes

int | data_
| Point index stored in octree. More...

## Detailed Description

Octree container class that does store a single point index.

Note
  Enables the octree to store a single DataT element within its leaf nodes.

Author
  Julius Kammerl (juliu.nosp@m.s@ka.nosp@m.mmerl.nosp@m..de)

Definition at line 207 of file octree_container.h.

## Constructor & Destructor Documentation

## OctreeContainerPointIndex() [1/2]

pcl::octree::OctreeContainerPointIndex::OctreeContainerPointIndex | ( |  | ) |

inline

Empty constructor.

Definition at line 211 of file octree_container.h.

References pcl::octree::OctreeContainerBase::reset().

## OctreeContainerPointIndex() [2/2]

pcl::octree::OctreeContainerPointIndex::OctreeContainerPointIndex | ( | const OctreeContainerPointIndex & | source | ) |

inline

Empty constructor.

Definition at line 218 of file octree_container.h.

## ~OctreeContainerPointIndex()

virtual pcl::octree::OctreeContainerPointIndex::~OctreeContainerPointIndex | ( |  | ) |

inline virtual

Empty deconstructor.

Definition at line 225 of file octree_container.h.

## Member Function Documentation

## addPointIndex()

void pcl::octree::OctreeContainerPointIndex::addPointIndex | ( | int | data_arg | ) |

inline

Add point index to container memory.

This container stores a only a single point index.

Parameters

  [in] | data_arg | index to be stored within leaf node.

Definition at line 251 of file octree_container.h.

## deepCopy()

virtual OctreeContainerPointIndex* pcl::octree::OctreeContainerPointIndex::deepCopy | ( |  | ) | const

inline virtual

Octree deep copy method.

Definition at line 231 of file octree_container.h.

## getPointIndex()

int pcl::octree::OctreeContainerPointIndex::getPointIndex | ( |  | ) | const

inline

Retrieve point index from container.

This container stores a only a single point index

Returns
  index stored within container.

Definition at line 260 of file octree_container.h.

## getPointIndices()

void pcl::octree::OctreeContainerPointIndex::getPointIndices | ( | std::vector< int > & | data_vector_arg | ) | const

inline

Retrieve point indices from container.

This container stores only a single point index

Parameters

  [out] | data_vector_arg | vector of point indices to be stored within data vector

Definition at line 269 of file octree_container.h.

## getSize()

size_t pcl::octree::OctreeContainerPointIndex::getSize | ( |  | ) | const

inline virtual

Get size of container (number of DataT objects)

Returns
  number of DataT elements in leaf node container.

Reimplemented from pcl::octree::OctreeContainerBase.

Definition at line 279 of file octree_container.h.

## operator==()

virtual bool pcl::octree::OctreeContainerPointIndex::operator== | ( | const OctreeContainerBase & | other | ) | const

inline virtual

Equal comparison operator.

Parameters

  [in] | other | OctreeContainerBase to compare with

Reimplemented from pcl::octree::OctreeContainerBase.

Definition at line 240 of file octree_container.h.

References data_.

## reset()

virtual void pcl::octree::OctreeContainerPointIndex::reset | ( |  | ) |

inline virtual

Reset leaf node memory to zero.

Implements pcl::octree::OctreeContainerBase.

Definition at line 286 of file octree_container.h.

## Member Data Documentation

## data_

int pcl::octree::OctreeContainerPointIndex::data_

protected

Point index stored in octree.

Definition at line 292 of file octree_container.h.

Referenced by operator==().

The documentation for this class was generated from the following file:

- /build/pcl-qv3n_B/pcl-1.8.1+dfsg1/octree/include/pcl/octree/octree_container.h